%global srcname into-dbus-python

Summary:        Transformer to dbus-python types
Name:           python-%{srcname}
Version:        0.8.2
Release:        4%{?dist}
License:        ASL 2.0
URL:            https://github.com/stratis-storage/into-dbus-python
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Facilities for converting an object that inhabits core Python types, e.g., lists, ints, dicts, to an
object that inhabits dbus-python types, e.g., dbus.Array, dbus.UInt32, dbus.Dictionary based on a
specified dbus signature.


%package -n python3-%{srcname}
Summary:        Transformer to dbus-python types
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{srcname}
Facilities for converting an object that inhabits core Python types, e.g., lists, ints, dicts, to an
object that inhabits dbus-python types, e.g., dbus.Array, dbus.UInt32, dbus.Dictionary based on a
specified dbus signature.

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/into_dbus_python/
%{python3_sitelib}/into_dbus_python-*.egg-info/

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.2-4
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.2-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 10 2023 Shuo Wang <abushwang@tencent.com> - 0.8.2-1
- update to 0.8.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.08-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.08-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 Shuo Wang <abushwang@tencent.com> - 0.08-1
- initial build
